VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::ItemModel Class Reference

The `ItemModel` class represents a library item that has been stored in a library. More...

List of all members.

## Public Member Functions
| ItemModel ()
| Creates a default new instance.
string | GetId ()
| A unique identifier for this library item.
void | SetId (string id)
| A unique identifier for this library item.
string | GetLibraryId ()
| The identifier of the vmware.content.LibraryModel to which this item belongs.
void | SetLibraryId (string libraryId)
| The identifier of the vmware.content.LibraryModel to which this item belongs.
string | GetContentVersion ()
| The version of the file content list of this library item.
void | SetContentVersion (string contentVersion)
| The version of the file content list of this library item.
global::System.DateTimeOffset | GetCreationTime ()
| The date and time when this library item was created.
void | SetCreationTime (global::System.DateTimeOffset?creationTime)
| The date and time when this library item was created.
string | GetDescription ()
| A human-readable description for this library item.
void | SetDescription (string description)
| A human-readable description for this library item.
global::System.DateTimeOffset | GetLastModifiedTime ()
| The date and time when the metadata for this library item was last changed.
void | SetLastModifiedTime (global::System.DateTimeOffset?lastModifiedTime)
| The date and time when the metadata for this library item was last changed.
global::System.DateTimeOffset | GetLastSyncTime ()
| The date and time when this library item was last synchronized.
void | SetLastSyncTime (global::System.DateTimeOffset?lastSyncTime)
| The date and time when this library item was last synchronized.
string | GetMetadataVersion ()
| A version number for the metadata of this library item.
void | SetMetadataVersion (string metadataVersion)
| A version number for the metadata of this library item.
string | GetName ()
| A human-readable name for this library item.
void | SetName (string name)
| A human-readable name for this library item.
bool | GetCached ()
| The status that indicates whether the library item is on disk or not.
void | SetCached (bool?cached)
| The status that indicates whether the library item is on disk or not.
long | GetSize ()
| The library item size, in bytes.
void | SetSize (long?size)
| The library item size, in bytes.
string | Get_Type ()
| An optional type identifier which indicates the type adapter plugin to use.
void | SetType (string type)
| An optional type identifier which indicates the type adapter plugin to use.
string | GetVersion ()
| A version number that is updated on metadata changes.
void | SetVersion (string version)
| A version number that is updated on metadata changes.
string | GetSourceId ()
| The identifier of the ItemModel to which this item is synchronized to if the item belongs to a subscribed library.
void | SetSourceId (string sourceId)
| The identifier of the ItemModel to which this item is synchronized to if the item belongs to a subscribed library.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ItemModel` class represents a library item that has been stored in a library.

A `ItemModel` represents a single logical unit to be managed within a vmware.content.LibraryModel . Items contain the actual content of a library, and their placement within a library determines policies that affect that content such as publishing.

A library item can have a specified type, indicated with the ItemModel.type field. This property is associated with a Content Library Service plugin that supports specific types and provides additional services. The types available in a specific Content Library Service can be queried using the vmware.content.Type interface. Items of an unknown or unspecified type are treated generically. Because subscribed library catalogs are synchronized as is, subscribing to a remote Content Library Service effectively gives you a library with the functionality of the remote service's type adapter plugins, even if they are not installed locally.

Items can be managed using the Item interface and, for items in subscribed libraries, the SubscribedItem interface.

## Constructor & Destructor Documentation

vmware::content::library::ItemModel::ItemModel | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::ItemModel::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::ItemModel::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::ItemModel::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::ItemModel::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::ItemModel::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::ItemModel::Equals | ( | object | obj | ) | `[inline]`

string vmware::content::library::ItemModel::Get_Type | ( |  | ) | `[inline]`

An optional type identifier which indicates the type adapter plugin to use.

This field may be set to a non-empty string value that corresponds to an identifier supported by a type adapter plugin present in the Content Library Service. A type adapter plugin, if present for the specified type, can provide additional information and services around the item content. A type adapter can guide the upload process by creating file entries that are in need of being uploaded to complete an item.

The types and plugins supported by the Content Library Service can be queried using the vmware.content.Type interface.

bool vmware::content::library::ItemModel::GetCached | ( |  | ) | `[inline]`

The status that indicates whether the library item is on disk or not.

The library item is cached when all its files are on disk.

string vmware::content::library::ItemModel::GetContentVersion | ( |  | ) | `[inline]`

The version of the file content list of this library item.

global::System.DateTimeOffset vmware::content::library::ItemModel::GetCreationTime | ( |  | ) | `[inline]`

The date and time when this library item was created.

string vmware::content::library::ItemModel::GetDescription | ( |  | ) | `[inline]`

A human-readable description for this library item.

override int vmware::content::library::ItemModel::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::ItemModel::GetId | ( |  | ) | `[inline]`

A unique identifier for this library item.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

global::System.DateTimeOffset vmware::content::library::ItemModel::GetLastModifiedTime | ( |  | ) | `[inline]`

The date and time when the metadata for this library item was last changed.

This field is affected by changes to the properties or file content of this item. It is not modified by changes to the tags of the item, or by changes to the library which owns this item.

global::System.DateTimeOffset vmware::content::library::ItemModel::GetLastSyncTime | ( |  | ) | `[inline]`

The date and time when this library item was last synchronized.

This field is updated every time a synchronization is triggered on the library item, including when a synchronization is triggered on the library to which this item belongs. The value is null for a library item that belongs to a local library.

string vmware::content::library::ItemModel::GetLibraryId | ( |  | ) | `[inline]`

The identifier of the vmware.content.LibraryModel to which this item belongs.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

string vmware::content::library::ItemModel::GetMetadataVersion | ( |  | ) | `[inline]`

A version number for the metadata of this library item.

This value is incremented with each change to the metadata of this item. Changes to name, description, and so on will increment this value. The value is not incremented by changes to the content or tags of the item or the library which owns it.

string vmware::content::library::ItemModel::GetName | ( |  | ) | `[inline]`

A human-readable name for this library item.

The name may not be null or an empty string. The name does not have to be unique, even within the same library.

long vmware::content::library::ItemModel::GetSize | ( |  | ) | `[inline]`

The library item size, in bytes.

The size is the sum of the size used on the storage backing for all the files in the item. When the library item is not cached, the size is 0.

string vmware::content::library::ItemModel::GetSourceId | ( |  | ) | `[inline]`

The identifier of the ItemModel to which this item is synchronized to if the item belongs to a subscribed library.

The value is null for a library item that belongs to a local library. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

string vmware::content::library::ItemModel::GetVersion | ( |  | ) | `[inline]`

A version number that is updated on metadata changes.

This value is used to validate update requests to provide optimistic concurrency of changes.

This value represents a number that is incremented every time library item properties, such as name or description, are changed. It is not incremented by changes to the file content of the library item, including adding or removing files. It is also not affected by tagging the library item.

void vmware::content::library::ItemModel::SetCached | ( | bool? | cached | ) | `[inline]`

The status that indicates whether the library item is on disk or not.

The library item is cached when all its files are on disk.

void vmware::content::library::ItemModel::SetContentVersion | ( | string | contentVersion | ) | `[inline]`

The version of the file content list of this library item.

void vmware::content::library::ItemModel::SetCreationTime | ( | global::System.DateTimeOffset? | creationTime | ) | `[inline]`

The date and time when this library item was created.

void vmware::content::library::ItemModel::SetDescription | ( | string | description | ) | `[inline]`

A human-readable description for this library item.

void vmware::content::library::ItemModel::SetId | ( | string | id | ) | `[inline]`

A unique identifier for this library item.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::content::library::ItemModel::SetLastModifiedTime | ( | global::System.DateTimeOffset? | lastModifiedTime | ) | `[inline]`

The date and time when the metadata for this library item was last changed.

This field is affected by changes to the properties or file content of this item. It is not modified by changes to the tags of the item, or by changes to the library which owns this item.

void vmware::content::library::ItemModel::SetLastSyncTime | ( | global::System.DateTimeOffset? | lastSyncTime | ) | `[inline]`

The date and time when this library item was last synchronized.

This field is updated every time a synchronization is triggered on the library item, including when a synchronization is triggered on the library to which this item belongs. The value is null for a library item that belongs to a local library.

void vmware::content::library::ItemModel::SetLibraryId | ( | string | libraryId | ) | `[inline]`

The identifier of the vmware.content.LibraryModel to which this item belongs.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

void vmware::content::library::ItemModel::SetMetadataVersion | ( | string | metadataVersion | ) | `[inline]`

A version number for the metadata of this library item.

This value is incremented with each change to the metadata of this item. Changes to name, description, and so on will increment this value. The value is not incremented by changes to the content or tags of the item or the library which owns it.

void vmware::content::library::ItemModel::SetName | ( | string | name | ) | `[inline]`

A human-readable name for this library item.

The name may not be null or an empty string. The name does not have to be unique, even within the same library.

void vmware::content::library::ItemModel::SetSize | ( | long? | size | ) | `[inline]`

The library item size, in bytes.

The size is the sum of the size used on the storage backing for all the files in the item. When the library item is not cached, the size is 0.

void vmware::content::library::ItemModel::SetSourceId | ( | string | sourceId | ) | `[inline]`

The identifier of the ItemModel to which this item is synchronized to if the item belongs to a subscribed library.

The value is null for a library item that belongs to a local library. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::content::library::ItemModel::SetType | ( | string | type | ) | `[inline]`

An optional type identifier which indicates the type adapter plugin to use.

This field may be set to a non-empty string value that corresponds to an identifier supported by a type adapter plugin present in the Content Library Service. A type adapter plugin, if present for the specified type, can provide additional information and services around the item content. A type adapter can guide the upload process by creating file entries that are in need of being uploaded to complete an item.

The types and plugins supported by the Content Library Service can be queried using the vmware.content.Type interface.

void vmware::content::library::ItemModel::SetVersion | ( | string | version | ) | `[inline]`

A version number that is updated on metadata changes.

This value is used to validate update requests to provide optimistic concurrency of changes.

This value represents a number that is incremented every time library item properties, such as name or description, are changed. It is not incremented by changes to the file content of the library item, including adding or removing files. It is also not affected by tagging the library item.

override string vmware::content::library::ItemModel::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ItemModel.cs